Get Cart By ID

Retrieve a single cart by its cart ID.

Authentication

AuthorizationBearer
This authentication type can be used to directly call the service.
OR
X-API-KEYstring
This authentication type is supported by using the provided API key for the merchant account.

Path parameters

connectionIdstringRequired>=36 characters
represents the ID of a connection. It is used as a unique identifier for the connection
cartIdstringRequired1-50 characters
the id of the cart

Response

OK
cartIdstring<=50 characters
Id that represents this cart. If no id is passed one will be generated for you.
currencyobject
represents information about a currency including its code and denomination.
customerIdstring<=50 characters
customerId in external system
deliveredBySellerboolean
represents if the seller directly delivered the order.
destinationobject
the destination address of the order
exemptionobject
information about exemption on the order
lineItemslist of objects
originobject
the origin address of the order
$schemastringOptionalRead-onlyformat: "uri"
A URL to the JSON Schema for this object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error